%define module TrayIcon

Name:    perl-Gtk2-%module
Version: 0.06
Release: %mkrel 2
Summary: Perl module interface to the EggTrayIcon library
License: GPL or Artistic
Group:   Development/GNOME and GTK+
URL:     http://gtk2-perl.sf.net/
Source:  Gtk2-%module-%version.tar.bz2
BuildRequires: gtk+2-devel
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib >= 0.92
BuildRequires: perl-Gtk2
BuildRequires: glitz-devel
BuildRequires: perl-Cairo
Requires: gtk+2
Requires: perl-Gtk2 >= 0.95-6mdk
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This module allows a Perl developer to embed an arbitrary widget
in a System Tray like the Gnome notification area.
System Trays are found in both KDE and Gnome.

%prep
%setup -q -n Gtk2-%module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

#%check
#%make test || :

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*



%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-2mdv2008.1
+ Revision: 152116
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 48051
- new version
  drop translucy patch, merged upstream

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.04-8mdv2008.0
+ Revision: 44607
- rebuild

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.04-7mdv2008.0
+ Revision: 44600
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.04-6mdv2008.0
+ Revision: 23405
- rebuild


* Wed Mar 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.04-5mdk
- Patch0 (danw): Fix tray icon transparency in KDE notification area

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-4mdk
- Fix Buildrequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-3mdk
- Fix BuildRequires

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.04-2mdk
- rebuild for new perl

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-1mdk
- new release

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.03-3mdk
- rebuild
- own dir

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-2mdk
- add example

* Mon Nov 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.03-1mdk
- First Mandrake Package

